## org.eclipse.jst.jsf.facesconfig.emf
Interface RenderKitType

All Known Implementing Classes:
  RenderKitTypeImpl

    public interface RenderKitType

A representation of the model object 'Render Kit Type'.

The following features are supported:

- `Description`
- `Display Name`
- `Icon`
- `Render Kit Id`
- `Render Kit Class`
- `Renderer`
- `Client Behavior Renderer`
- `Render Kit Extension`
- `Id`

See Also:
  `FacesConfigPackage.getRenderKitType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getClientBehaviorRenderer()` Returns the value of the 'Client Behavior Renderer' containment reference list.
`EList` `getDescription()` Returns the value of the 'Description' containment reference list.
`EList` `getDisplayName()` Returns the value of the 'Display Name' containment reference list.
`EList` `getIcon()` Returns the value of the 'Icon' containment reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`EList` `getRenderer()` Returns the value of the 'Renderer' containment reference list.
`RenderKitClassType` `getRenderKitClass()` Returns the value of the 'Render Kit Class' containment reference
`EList` `getRenderKitExtension()` Returns the value of the 'Render Kit Extension' containment reference list.
`RenderKitIdType` `getRenderKitId()` Returns the value of the 'Render Kit Id' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setRenderKitClass(RenderKitClassType value)` Sets the value of the '`Render Kit Class`' containment reference
`void` `setRenderKitId(RenderKitIdType value)` Sets the value of the '`Render Kit Id`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    EList getDescription()

  Returns the value of the 'Description' containment reference list. The list contents are of type `DescriptionType`.

  If the meaning of the 'Description' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getRenderKitType_Description()`

### getDisplayName

    EList getDisplayName()

  Returns the value of the 'Display Name' containment reference list. The list contents are of type `DisplayNameType`.

  If the meaning of the 'Display Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getRenderKitType_DisplayName()`

### getIcon

    EList getIcon()

  Returns the value of the 'Icon' containment reference list. The list contents are of type `IconType`.

  If the meaning of the 'Icon' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getRenderKitType_Icon()`

### getRenderKitId

    RenderKitIdType getRenderKitId()

  Returns the value of the 'Render Kit Id' containment reference.

  If the meaning of the 'Render Kit Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Render Kit Id' containment reference.
  See Also:
    `setRenderKitId(RenderKitIdType)`, `FacesConfigPackage.getRenderKitType_RenderKitId()`

### setRenderKitId

    void setRenderKitId(RenderKitIdType value)

  Sets the value of the '`Render Kit Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Render Kit Id' containment reference.
  See Also:
    `getRenderKitId()`

### getRenderKitClass

    RenderKitClassType getRenderKitClass()

  Returns the value of the 'Render Kit Class' containment reference.

  If the meaning of the 'Render Kit Class' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Render Kit Class' containment reference.
  See Also:
    `setRenderKitClass(RenderKitClassType)`, `FacesConfigPackage.getRenderKitType_RenderKitClass()`

### setRenderKitClass

    void setRenderKitClass(RenderKitClassType value)

  Sets the value of the '`Render Kit Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Render Kit Class' containment reference.
  See Also:
    `getRenderKitClass()`

### getRenderer

    EList getRenderer()

  Returns the value of the 'Renderer' containment reference list. The list contents are of type `RendererType`.

  If the meaning of the 'Renderer' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Renderer' containment reference list.
  See Also:
    `FacesConfigPackage.getRenderKitType_Renderer()`

### getClientBehaviorRenderer

    EList getClientBehaviorRenderer()

  Returns the value of the 'Client Behavior Renderer' containment reference list. The list contents are of type `ClientBehaviorRendererType`.

  If the meaning of the 'Client Behavior Renderer' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Client Behavior Renderer' containment reference list.
  See Also:
    `FacesConfigPackage.getRenderKitType_ClientBehaviorRenderer()`

### getRenderKitExtension

    EList getRenderKitExtension()

  Returns the value of the 'Render Kit Extension' containment reference list. The list contents are of type `RenderKitExtensionType`.

  If the meaning of the 'Render Kit Extension' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Render Kit Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getRenderKitType_RenderKitExtension()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getRenderKitType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`